Bug 87993 - org sub account can archive all pending actions of org
org sub account can archive all pending actions of org
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
RHN Stable
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Red Hat Satellite QA List
:
Depends On:
Blocks: 88391
  Show dependency treegraph
 
Reported: 2003-04-04 08:54 EST by Patrick C. F. Ernzer
Modified: 2007-04-18 12:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-10 11:27:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick C. F. Ernzer 2003-04-04 08:54:42 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20030131

Description of problem:
this morning the account 'pernzer' (an org sub account) archived all sheduled
actions. contrary to my expectation this affected all the actions of the whole
account

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. be an organisation sub account ('pernzer' in this case)
2. log in
3. go to sheduled actions
4. archive the actions
    

Actual Results:  all of the organisations sheduled actions are archived

Expected Results:  onthe the actions relevent to systems the sub-account has
access over should be affected

Additional info:
Comment 1 Josef Komenda 2003-04-04 09:38:46 EST
Confirmed - you shouldn't even see an action if the relevent systems are not
assigned to you. In dev, Org Admin account jkomenda and sub account jkomenda3
are good test accounts. 
Comment 2 Bret McMillan 2003-04-10 12:45:50 EDT
Fixed in HEAD:

1.  users will only see actions that have to do with servers they have access to
2.  the counts should be correct in that sense
3.  archiving actions still archives them for anyone else that can see them. 
i.e., archival is a property of an action, not a user-action preference.
Comment 3 Greg DeKoenigsberg 2003-04-11 14:23:00 EDT
RHN 3.0.0, sorry
Comment 4 Josef Komenda 2003-04-23 11:20:41 EDT
Looks good in dev.
Comment 5 Josef Komenda 2003-06-06 13:03:44 EDT
Good in qa and -38. Prod Ready.
Comment 6 Josef Komenda 2003-07-10 11:27:12 EDT
Looks good in prod.

Note You need to log in before you can comment on or make changes to this bug.